[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Problem building with neon 0.11.0

From: Mo DeJong <mdejong_at_cygnus.com>
Date: 2001-02-12 00:02:52 CET

I just tried to build subversion with neon 0.11.0
and ran into a little problem.

% ./autogen.sh

...

...Uh oh, there is a problem.
You have a neon/ subdir, but it is not neon 0.11.0.
Please get neon 0.11.0 from:
       http://www.webdav.org/neon/neon-0.11.0.tar.gz

It seems the check in autogen.sh is not working
because neon has changed the way it declares
the version number. It is no longer possible
to grep the configure.in file to get the
version number.

aclocal.m4:NEON_VERSION_MAJOR=0
aclocal.m4:NEON_VERSION_MINOR=11
aclocal.m4:NEON_VERSION_RELEASE=0
aclocal.m4:NEON_VERSION_TAG=
aclocal.m4:NEON_VERSION="${NEON_VERSION_MAJOR}.${NEON_VERSION_MINOR}.${NEON_VERS
ION_RELEASE}${NEON_VERSION_TAG}"

So, I wrote up this little patch to fix things.

Index: autogen.sh
===================================================================
RCS file: /cvs/subversion/autogen.sh,v
retrieving revision 1.31
diff -u -r1.31 autogen.sh
--- autogen.sh 2001/02/05 03:06:34 1.31
+++ autogen.sh 2001/02/11 22:58:33
@@ -57,7 +56,12 @@
 fi
 
 # Handle the neon/ subdir
-NEON_VER=0.8.1
+NEON_VERSION_MAJOR=0
+NEON_VERSION_MINOR=11
+NEON_VERSION_RELEASE=0
+NEON_VERSION_TAG=
+NEON_VER="${NEON_VERSION_MAJOR}.${NEON_VERSION_MINOR}.${NEON_VERSION_RELEASE}${NEON_VERSION_TAG}"
+
 if [ ! -d neon ]; then
   echo ""
   echo "...Uh oh, there is a problem."
@@ -69,9 +73,31 @@
   echo "directory from ./neon-${NEON_VER}/ to ./neon/"
   echo ""
   exit 1
+fi
+
+error=0
+
+grep NEON_VERSION_MAJOR=${NEON_VERSION_MAJOR} neon/macros/neon.m4 > /dev/null
+if [ $? -ne 0 ]; then
+ error=1
+fi
+
+grep NEON_VERSION_MINOR=${NEON_VERSION_MINOR} neon/macros/neon.m4 > /dev/null
+if [ $? -ne 0 ]; then
+ error=1
 fi
-grep NEON_VERSION=${NEON_VER} neon/configure.in > /dev/null
+
+grep NEON_VERSION_RELEASE=${NEON_VERSION_RELEASE} neon/macros/neon.m4 > /dev/null
 if [ $? -ne 0 ]; then
+ error=1
+fi
+
+grep NEON_VERSION_TAG=${NEON_VERSION_TAG} neon/macros/neon.m4 > /dev/null
+if [ $? -ne 0 ]; then
+ error=1
+fi
+
+if [ $error -ne 0 ]; then
   echo ""
   echo "...Uh oh, there is a problem."
   echo "You have a neon/ subdir, but it is not neon ${NEON_VER}."

Mo DeJong
Red Hat Inc
Received on Sat Oct 21 14:36:21 2006

This is an archived mail posted to the Subversion Dev mailing list.

This site is subject to the Apache Privacy Policy and the Apache Public Forum Archive Policy.